System Requirements

Before you deploy Veeam Service Provider Console, make sure that your environment meets the necessary system requirements.

Veeam Service Provider Console

The machine where you want to install Veeam Service Provider Console must meet the following requirements.

Specification

Requirement

Hardware

CPU: modern x64 processor (minimum 4 cores)

Memory: 8GB RAM (recommended)

Network

1 Mbit/s

OS

Only 64-bit versions of the following operating system are supported:

  • Microsoft Windows Server 2022
  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows 11
  • Microsoft Windows 10 (starting from version 1803 up to versions 20H2, 21H1)
  • Microsoft Windows 10 LTSC versions (1507, 1607, 1809)

Note: You cannot install Veeam Service Provider Console on a machine running Microsoft Windows Server Core.

Software

  • Microsoft SQL Server 2022/2019/2017/2016/2014/2012 (SQL Server Express 2017 is included in the setup)
  • Microsoft SQL Server 2012 Native Client (included in the setup)
  • Microsoft SQL Server 2014 System CLR Types
  • Microsoft .NET Framework 4.7.2 (included in the setup)
  • Microsoft Internet Information Services (IIS) 7.0 or later
  • Windows Installer 5.0  
  • Microsoft PowerShell 5.0 or later
  • Microsoft Visual C++ 2015 Redistributable Update 3 (included in the setup)
  • Microsoft Edge, Mozilla Firefox, Google Chrome (latest versions)
  • Microsoft Report Viewer 2015 (included in the setup)
  • Microsoft ASP.NET Core 3.1.21 (included in the setup)
  • PDF viewer for viewing reports

Veeam Cloud Connect

Veeam Service Provider Console integrates with Veeam Cloud Connect and requires the following components deployed in the backup infrastructure.

Specification

Requirement

Platforms

  • Veeam Backup & Replication
  • VMware Cloud Director

Infrastructure

  • Veeam Backup & Replication 12 (recommended)
  • Veeam Backup & Replication 11a
  • Veeam Backup & Replication 11
  • VMware Cloud Director 10.x (up to 10.3)

For details on version compatibility of Service Provider and Tenant Veeam Backup & Replication servers, see Product Versions in Veeam Cloud Connect Infrastructure.

Software

Veeam Cloud Connect server must have PowerShell 5.0 or later

Plugins

Specification

Requirement

Platforms

  • VCSP Pulse
  • Veeam Backup & Replication
  • Veeam Agent for Microsoft Windows
  • Veeam Agent for Linux
  • Veeam Agent for Mac
  • Veeam Backup for Microsoft 365
  • Veeam ONE
  • ConnectWise Automate
  • ConnectWise Manage
  • Grafana

Infrastructure

  • Veeam Backup & Replication 12 (recommended)
  • Veeam Backup & Replication 11a
  • Veeam Backup & Replication 11
  • Veeam Backup & Replication 10a
  • Veeam Agent for Microsoft Windows 6 (recommended)
  • Veeam Agent for Microsoft Windows 5
  • Veeam Agent for Linux 6 (recommended)
  • Veeam Agent for Linux 5
  • Veeam Agent for Mac 2 (recommended)
  • Veeam Agent for Mac
  • Veeam Backup for AWS 6 using Veeam Backup & Replication plug-in (recommended)
  • Veeam Backup for AWS 5a using Veeam Backup & Replication plug-in
  • Veeam Backup for AWS 5 using Veeam Backup & Replication plug-in
  • Veeam Backup for AWS 4 using Veeam Backup & Replication plug-in
  • Veeam Backup for Microsoft Azure 5 using Veeam Backup & Replication plug-in (recommended)
  • Veeam Backup for Microsoft Azure 4 using Veeam Backup & Replication plug-in
  • Veeam Backup for Microsoft Azure 3 using Veeam Backup & Replication plug-in
  • Veeam Backup for Google Cloud 4 using Veeam Backup & Replication plug-in (recommended)
  • Veeam Backup for Nutanix AHV 4 using Veeam Backup & Replication plug-in (recommended)
  • Veeam Backup for Nutanix AHV 3 using Veeam Backup & Replication plug-in
  • Veeam Backup for Nutanix AHV 2.x using Veeam Backup & Replication plug-in
  • Veeam Backup for Microsoft 365 version 7 (recommended)
  • Veeam Backup for Microsoft 365 version 6
  • Veeam ONE 12
  • Veeam ONE 11a
  • ConnectWise Automate v7 or later
  • ConnectWise Manage 2020.1 or later
  • Grafana 6.5 or later

Management Agents

Machines running Veeam Service Provider Console management agents must meet the following requirements:

Specification

Requirement

Hardware

CPU: x86-64 processor architecture

Memory: 2 GB RAM*

*Memory sizing depends on managed products and workloads. For details on additional sizing requirements, see Veeam Service Provider Console Agents Management.

Network

  • 64 kbit/s when managing Veeam Agent for Microsoft Windows, Veeam Agent for Linux, Veeam Agent for Mac
  • 128 kbit/s when managing Veeam Backup & Replication, Veeam ONE, Veeam Backup for Microsoft 365

Windows OS

Both 64-bit and 32-bit (where applicable) versions of the following operating systems are supported, except Server Core installations for server OS:

  • Microsoft Windows Server 2022
  • Microsoft Windows Server 2019 
  • Microsoft Windows Server 2016 
  • Microsoft Windows Server 2012 R2 
  • Microsoft Windows Server 2012 
  • Microsoft Windows Server 2008 R2 SP1 
  • Microsoft Windows 11
  • Microsoft Windows 10 (starting from version 1909)
  • Microsoft Windows 10 LTSC versions (1507, 1607, 1809)

Linux OS

Linux kernel version 2.6.32 or later is supported as long as you use kernels supplied by your distribution.

Both 64-bit and 32-bit (where applicable) versions of the following operating systems are supported:

  • Debian 10.0 – 11.0
  • Ubuntu 14.04, 16.04, 18.04, 20.04, 20.10, 21.04, 22.10
  • RHEL 6.0 – 9.1
  • CentOS 7.0 – 8.4
  • Oracle Linux 6 – 9.1 (RHCK)
  • Oracle Linux 6 (starting from UEK R2) – Oracle Linux 9.1 (up to UEK R6 U2, kernel version 5.4.17-2102)
  • SLES 12 SP4, 12 SP5, 15 SP1 – SP4
  • SLES for SAP 12 SP4 – 15 SP4
  • Fedora 34 – 36
  • openSUSE Leap 15.3 – 15.4
  • openSUSE Tumbleweed

Consider the following limitations:

  • Fedora is supported up to kernel 5.7.7.
  • openSUSE Tumbleweed is supported up to kernel 5.7.7.
  • Linux kernel 2.6.32 - 754.6.3 in CentOS / RHEL and Oracle Linux (RHCK) is not supported.
  • Ubuntu 20.04 and 20.10 with kernel version 5.8 or later support file-level backup mode only.

macOS

  • Monterey 12.1.X
  • Big Sur 11.7.X
  • Catalina 10.15.X
  • Mojave 10.14.X
  • High Sierra 10.13.6
  • Ventura 13.0.1

Software

  • Microsoft .NET Framework 4.6 or later (Windows computers)
  • sysvinit-tools package (Linux computers)
  • linux-image-<version>-dbg (for Debian 11.0), where <version> is the Linux kernel version that you use

Network

Management agent channel bandwidth:

  • 64 kbit/s for managing Veeam backup agents
  • 128 kbit/s for managing Veeam Backup & Replication, Veeam ONE, Veeam Backup for Microsoft 365

For remote network discovery rules, discovered computers must have the following firewall rules enabled:

  • File and Printer Sharing (SMB-In), TCP port 445.
  • Windows Management Instrumentation (WMI-In).
  • Remote Scheduled Tasks Management (RPC), Remote Scheduled Tasks Management (RPC-EPMAP), Incoming TCP, RPC Dynamic Ports firewall rule.

*Not recommended as update of management agents may not work properly on machines that run these OS versions.